unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, DBCtrls, Grids, DBGrids, ComCtrls, Mask,
  DB,DBTables, Buttons;

type
  TMainForm = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Bevel1: TBevel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    Button1: TButton;
    Bevel2: TBevel;
    Button2: TButton;
    Button3: TButton;
    TabSheet3: TTabSheet;
    Label8: TLabel;
    Label9: TLabel;
    DBEdit6: TDBEdit;
    Label10: TLabel;
    DBEdit7: TDBEdit;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    DBEdit8: TDBEdit;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Bevel3: TBevel;
    Label17: TLabel;
    ComboBox1: TComboBox;
    Label18: TLabel;
    ComboBox2: TComboBox;
    Label19: TLabel;
    Edit3: TEdit;
    ComboBox3: TComboBox;
    Label20: TLabel;
    Button4: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    DBText1: TDBText;
    DBText2: TDBText;
    DBText3: TDBText;
    DBText4: TDBText;
    DBText5: TDBText;
    CheckBox4: TCheckBox;
    DBNavigator2: TDBNavigator;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Edit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure ComboBox3Change(Sender: TObject);
    procedure Edit3KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation
uses DMUnit;
{$R *.DFM}

procedure TMainForm.Button2Click(Sender: TObject);
begin
DBEdit1.SetFocus;
DM.Phone.Append;
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
DBEdit1.SetFocus;
DM.Phone.Edit;
end;

procedure TMainForm.Button4Click(Sender: TObject);
begin
If DM.Phone.State in [dsEdit,dsInsert] Then
   DM.Phone.Post;
Button2.SetFocus;
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
DM.Phone.Cancel;
end;

procedure TMainForm.ComboBox1Change(Sender: TObject);
begin
case ComboBox1.Itemindex of
    0: DM.Phone.IndexName:='VEZ_NEV';
    1: DM.Phone.IndexName:='KER_NEV';
    2: DM.Phone.IndexName:='IRSZAM';
    3: DM.Phone.IndexName:='VAROS';
    4: DM.Phone.IndexName:='TELEFON';
end;
ComboBox3.ItemIndex:=ComboBox1.ItemIndex;
end;

procedure TMainForm.Edit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
If Key = VK_RETURN Then
   If not CheckBox1.Checked Then
     Begin
     If DM.Phone.FindKey([Edit1.Text]) Then
        Edit1.SelectAll
     End
   Else
     Begin
     DM.Phone.FindNearest([Edit1.Text]);
     Edit1.SelectAll;
     End;
end;

procedure TMainForm.CheckBox1Click(Sender: TObject);
begin
With DM.Phone do Begin
If CheckBox1.Checked Then
   FilterOptions:=FilterOptions + [foCaseInsensitive]
Else
   FilterOptions:=FilterOptions - [foCaseInsensitive];
End;
CheckBox4.Checked:=CheckBox1.Checked;
end;

procedure TMainForm.CheckBox2Click(Sender: TObject);
begin
With DM.Phone do Begin
Case ComboBox2.ItemIndex of
   -1: Filter:='VEZ_NEV='''+Edit2.text+'''';
   0: Filter:='VEZ_NEV='''+Edit2.text+'''';
   1: Filter:='KER_NEV='''+Edit2.text+'''';
   2: Filter:='IRSZAM='''+Edit2.text+'''';
   3: Filter:='VAROS='''+Edit2.text+'''';
   4: Filter:='TELEFON='''+Edit2.text+'''';
End;
Filtered:=CheckBox2.Checked;
End;
end;


procedure TMainForm.CheckBox4Click(Sender: TObject);
begin
With DM.Phone do Begin
If CheckBox4.Checked Then
   FilterOptions:=FilterOptions + [foCaseInsensitive]
Else
   FilterOptions:=FilterOptions - [foCaseInsensitive];
End;
CheckBox1.Checked:=CheckBox4.Checked;
end;


procedure TMainForm.ComboBox3Change(Sender: TObject);
begin
case ComboBox3.Itemindex of
    0: DM.Phone.IndexName:='VEZ_NEV';
    1: DM.Phone.IndexName:='KER_NEV';
    2: DM.Phone.IndexName:='IRSZAM';
    3: DM.Phone.IndexName:='VAROS';
    4: DM.Phone.IndexName:='TELEFON';
end;
ComboBox1.ItemIndex:=ComboBox3.ItemIndex;
end;


procedure TMainForm.Edit3KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
If Key = VK_RETURN Then
   If not CheckBox4.Checked Then
     Begin
     If DM.Phone.FindKey([Edit3.Text]) Then
        Edit3.SelectAll
     End
   Else
     Begin
     DM.Phone.FindNearest([Edit3.Text]);
     Edit3.SelectAll;
     End;
end;

end.
